Skip to main content
POST
/
variable
/
{variableId}
/
alias
Create a variable alias
curl --request POST \
  --url https://api.qovery.com/variable/{variableId}/alias \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "alias_scope": "APPLICATION",
  "alias_parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "enable_interpolation_in_file": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "key": "<string>",
  "value": "<string>",
  "scope": "APPLICATION",
  "variable_type": "VALUE",
  "is_secret": true,
  "updated_at": "2023-11-07T05:31:56Z",
  "mount_path": "<string>",
  "overridden_variable": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "mount_path": "<string>",
    "scope": "APPLICATION",
    "variable_type": "VALUE",
    "value": "<string>"
  },
  "aliased_variable": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "DATABASE_PSQL_NAME",
    "mount_path": "<string>",
    "scope": "APPLICATION",
    "variable_type": "VALUE",
    "value": "<string>"
  },
  "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "service_name": "<string>",
  "service_type": "APPLICATION",
  "owned_by": "<string>",
  "description": "<string>",
  "enable_interpolation_in_file": true,
  "secret_manager_access_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

variableId
string<uuid>
required

Variable ID

Body

application/json
key
string
required

the value to be used as Alias of the targeted environment variable.

alias_scope
enum<string>
required
Available options:
APPLICATION,
BUILT_IN,
ENVIRONMENT,
PROJECT,
CONTAINER,
JOB,
HELM,
TERRAFORM
alias_parent_id
string<uuid>
required

the id of the variable that is aliased.

description
string | null

optional variable description (255 characters maximum)

Maximum string length: 255
enable_interpolation_in_file
boolean | null

Response

Create variable alias

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
key
string
required
value
string | null
required
scope
enum<string>
required
Available options:
APPLICATION,
BUILT_IN,
ENVIRONMENT,
PROJECT,
CONTAINER,
JOB,
HELM,
TERRAFORM
variable_type
enum<string>
required

type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET)

Available options:
VALUE,
ALIAS,
OVERRIDE,
BUILT_IN,
FILE,
EXTERNAL_SECRET
is_secret
boolean
required
updated_at
string<date-time>
read-only
mount_path
string | null
overridden_variable
object
aliased_variable
object
service_id
string<uuid>

The id of the service referenced by this variable.

service_name
string

The name of the service referenced by this variable.

service_type
enum<string>

type of the service (application, database, job, gateway...)

Available options:
APPLICATION,
CONTAINER,
DATABASE,
JOB,
HELM,
TERRAFORM
owned_by
string

Entity that created/own the variable (i.e: Qovery, Doppler)

description
string
enable_interpolation_in_file
boolean
secret_manager_access_id
string<uuid> | null